Package uk.ac.starlink.topcat.contrib.gavo

# Class GavoSampleQuery

java.lang.Object
uk.ac.starlink.topcat.contrib.gavo.GavoSampleQuery

public class GavoSampleQuery extends Object
Encapsulates example queries used by the GAVO loader.

Since:
  8 Jun 2007
Author:
  Mark Taylor, Gerard Lemson

## Field Summary

Fields
Modifier and Type
Field
Description
`static final GavoSampleQuery[]`
`GAL_SAMPLES`
List of sample queries, mainly galaxies.
`static final GavoSampleQuery[]`
`HALO_SAMPLES`
List of sample queries, mainly halos.

## Constructor Summary

Constructors
Constructor
Description
`GavoSampleQuery(String name, String[] descriptionLines, String[] textLines)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns query description.
`String`
`getName()`
Returns query ID.
`String`
`getText()`
Returns SQL text for query.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HALO_SAMPLES

public static final GavoSampleQuery[] HALO_SAMPLES
List of sample queries, mainly halos.

### GAL_SAMPLES

public static final GavoSampleQuery[] GAL_SAMPLES
List of sample queries, mainly galaxies.

## Constructor Details

### GavoSampleQuery

public GavoSampleQuery(String name, String[] descriptionLines, String[] textLines)
Constructor.

Parameters:
  `name` - query ID
  `descriptionLines` - lines for short description (tooltip)
  `textLines` - lines for SQL query text

## Method Details

### getName

public String getName()
Returns query ID.

Returns:
  name

### getDescription

public String getDescription()
Returns query description.

Returns:
  description

### getText

public String getText()
Returns SQL text for query.

Returns:
  text